Index: branches/presentation/src/lib/collision_reaction/collision_handle.cc
===================================================================
--- branches/presentation/src/lib/collision_reaction/collision_handle.cc	(revision 9186)
+++ branches/presentation/src/lib/collision_reaction/collision_handle.cc	(revision 9187)
@@ -230,25 +230,25 @@
   for(; it < this->targetList.end(); it++)
   {
-    if(collisionEvent->getEntityB()->isA(CL_AIMING_SYSTEM))
-    {
-       PRINTF(0)("I am: %s colliding with: %s\n", owner->getClassName(), collisionEvent->getEntityB()->getClassName(), *it);
-       if( collisionEvent->getEntityA() == this->owner) {
-         PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassName(),
-         collisionEvent->getEntityB()->getClassName(), *it);
-         if( collisionEvent->getEntityB()->isA((ClassID)(*it))) {
-           PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
-           collisionEvent->getEntityB()->getClassName(), *it);
-            }
-       }
-       else {
-         PRINTF(0)("I am not owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassName(),
-         collisionEvent->getEntityB()->getClassName(), *it);
-         if( collisionEvent->getEntityA()->isA((ClassID)(*it))) {
-           PRINTF(0)("I'm not owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
-           collisionEvent->getEntityA()->getClassName(), *it);
-            }
-       }
-
-    }
+//     if(collisionEvent->getEntityB()->isA(CL_AIMING_SYSTEM) || collisionEvent->getEntityA()->isA(CL_AIMING_SYSTEM))
+//     {
+//        PRINTF(0)("I am: %s colliding with: %s\n", owner->getClassName(), collisionEvent->getEntityB()->getClassName(), *it);
+//        if( collisionEvent->getEntityA() == this->owner) {
+//          PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassName(),
+//          collisionEvent->getEntityB()->getClassName(), *it);
+//          if( collisionEvent->getEntityB()->isA((ClassID)(*it))) {
+//            PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
+//            collisionEvent->getEntityB()->getClassName(), *it);
+//             }
+//        }
+//        else {
+//          PRINTF(0)("I am not owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassName(),
+//          collisionEvent->getEntityB()->getClassName(), *it);
+//          if( collisionEvent->getEntityA()->isA((ClassID)(*it))) {
+//            PRINTF(0)("I'm not owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
+//            collisionEvent->getEntityA()->getClassName(), *it);
+//             }
+//        }
+//
+//     }
 
     if( collisionEvent->getEntityA() == this->owner) {
@@ -280,30 +280,30 @@
   {
 
-    if(collision->getEntityB()->isA(CL_AIMING_SYSTEM))
-    {
-      PRINTF(0)("I am: %s colliding with: %s\n", owner->getClassName(), collision->getEntityB()->getClassName(), *it);
-      if( collision->getEntityA() == this->owner) {
-        PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassName(),
-        collision->getEntityB()->getClassName(), *it);
-        if( collision->getEntityB()->isA((ClassID)(*it))) {
-          PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
-          collision->getEntityB()->getClassName(), *it);
-        }
-      }
-      else {
-        PRINTF(0)("I'm not owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassName(),
-        collision->getEntityB()->getClassName(), *it);
-        if( collision->getEntityA()->isA((ClassID)(*it))) {
-          PRINTF(0)("I'm not owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
-          collision->getEntityA()->getClassName(), *it);
-        }
-      }
-    }
+//     if(collision->getEntityB()->isA(CL_AIMING_SYSTEM) || collision->getEntityA()->isA(CL_AIMING_SYSTEM))
+//     {
+//       PRINTF(0)("Shared!!! I am: %s colliding with: %s\n", owner->getClassName(), collision->getEntityB()->getClassName(), *it);
+//       if( collision->getEntityA() == this->owner) {
+//         PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassName(),
+//         collision->getEntityB()->getClassName(), *it);
+//         if( collision->getEntityB()->isA((ClassID)(*it))) {
+//           PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
+//           collision->getEntityB()->getClassName(), *it);
+//         }
+//       }
+//       else {
+//         PRINTF(0)("I'm not owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassName(),
+//         collision->getEntityB()->getClassName(), *it);
+//         if( collision->getEntityA()->isA((ClassID)(*it))) {
+//           PRINTF(0)("I'm not owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
+//           collision->getEntityA()->getClassName(), *it);
+//         }
+//       }
+//     }
 
     if( collision->getEntityA() == this->owner) {
-      if( collision->getEntityB()->isA((ClassID)(*it)))
+      if( collision->getEntityA()->isA((ClassID)(*it)))
         return true; }
       else {
-        if( collision->getEntityA()->isA((ClassID)(*it)))
+        if( collision->getEntityB()->isA((ClassID)(*it)))
           return true; }
   }
Index: branches/presentation/src/story_entities/game_world.cc
===================================================================
--- branches/presentation/src/story_entities/game_world.cc	(revision 9186)
+++ branches/presentation/src/story_entities/game_world.cc	(revision 9187)
@@ -468,6 +468,6 @@
   CDEngine::getInstance()->checkCollisions(this->dataTank->objectManager->getObjectList(OM_GROUP_01),
       this->dataTank->objectManager->getObjectList(OM_GROUP_00_PROJ));
-  CDEngine::getInstance()->checkCollisions(this->dataTank->objectManager->getObjectList(OM_GROUP_00),
-    this->dataTank->objectManager->getObjectList(OM_GROUP_01));
+  CDEngine::getInstance()->checkCollisions(this->dataTank->objectManager->getObjectList(OM_GROUP_01),
+    this->dataTank->objectManager->getObjectList(OM_GROUP_00));
 
   CDEngine::getInstance()->checkCollisions(this->dataTank->objectManager->getObjectList(OM_GROUP_01),
Index: branches/presentation/src/world_entities/weapons/aiming_system.cc
===================================================================
--- branches/presentation/src/world_entities/weapons/aiming_system.cc	(revision 9186)
+++ branches/presentation/src/world_entities/weapons/aiming_system.cc	(revision 9187)
@@ -62,5 +62,5 @@
 
   // registering default reactions:
-  this->unsubscribeReaction(CREngine::CR_OBJECT_DAMAGE);
+//   this->unsubscribeReaction(CREngine::CR_OBJECT_DAMAGE);
   this->subscribeReaction(CREngine::CR_OBJECT_DAMAGE, CL_WORLD_ENTITY);
 