Index: /code/branches/newlevel2012/src/modules/towerdefense/tower2/OgreXMLConverter.log
===================================================================
--- /code/branches/newlevel2012/src/modules/towerdefense/tower2/OgreXMLConverter.log	(revision 9193)
+++ /code/branches/newlevel2012/src/modules/towerdefense/tower2/OgreXMLConverter.log	(revision 9193)
@@ -0,0 +1,31 @@
+14:45:03: Creating resource group General
+14:45:03: Creating resource group Internal
+14:45:03: Creating resource group Autodetect
+14:45:03: Registering ResourceManager for type Mesh
+14:45:03: Registering ResourceManager for type Material
+14:45:03: Registering ResourceManager for type Skeleton
+14:45:03: XMLMeshSerializer reading mesh data from /home/mentzerf/Downloads/tower/Tower.mesh.xml...
+14:45:03: Reading submeshes...
+14:45:03: Reading geometry...
+14:45:03: Geometry done...
+14:45:03: Submeshes done.
+14:45:03: XMLMeshSerializer import successful.
+14:45:03: Reorganising vertex buffers to automatic layout..
+14:45:03: MeshSerializer writing mesh data to /home/mentzerf/Downloads/tower/Tower.mesh...
+14:45:03: File header written.
+14:45:03: Writing mesh data...
+14:45:03: Writing submesh...
+14:45:03: Exporting submesh texture aliases...
+14:45:03: Submesh texture aliases exported.
+14:45:03: Submesh exported.
+14:45:03: Exporting bounds information....
+14:45:03: Bounds information exported.
+14:45:03: Exporting submesh name table...
+14:45:03: Submesh name table exported.
+14:45:03: Exporting edge lists...
+14:45:03: Edge lists exported
+14:45:03: Mesh data exported.
+14:45:03: MeshSerializer export successful.
+14:45:03: Unregistering ResourceManager for type Skeleton
+14:45:03: Unregistering ResourceManager for type Material
+14:45:03: Unregistering ResourceManager for type Mesh
Index: /code/branches/newlevel2012/src/modules/towerdefense/tower2/Scene.material
===================================================================
--- /code/branches/newlevel2012/src/modules/towerdefense/tower2/Scene.material	(revision 9193)
+++ /code/branches/newlevel2012/src/modules/towerdefense/tower2/Scene.material	(revision 9193)
@@ -0,0 +1,14 @@
+material Material.001
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.500000 0.500000 0.500000 1.000000
+			diffuse 0.379608 0.216471 0.163137 1.000000
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			emissive 0.000000 0.000000 0.000000 1.000000
+		}
+	}
+}
Index: /code/branches/newlevel2012/src/modules/towerdefense/tower2/Tower.mesh.xml
===================================================================
--- /code/branches/newlevel2012/src/modules/towerdefense/tower2/Tower.mesh.xml	(revision 9193)
+++ /code/branches/newlevel2012/src/modules/towerdefense/tower2/Tower.mesh.xml	(revision 9193)
@@ -0,0 +1,540 @@
+<mesh>
+	<submeshes>
+		<submesh material="Material.001" usesharedvertices="false">
+			<faces count="48">
+				<face v1="0" v2="1" v3="2"/>
+				<face v1="0" v2="2" v3="3"/>
+				<face v1="4" v2="5" v3="7"/>
+				<face v1="5" v2="6" v3="7"/>
+				<face v1="8" v2="9" v3="11"/>
+				<face v1="9" v2="10" v3="11"/>
+				<face v1="12" v2="13" v3="15"/>
+				<face v1="13" v2="14" v3="15"/>
+				<face v1="16" v2="17" v3="18"/>
+				<face v1="16" v2="18" v3="19"/>
+				<face v1="20" v2="21" v3="23"/>
+				<face v1="21" v2="22" v3="23"/>
+				<face v1="24" v2="25" v3="27"/>
+				<face v1="25" v2="26" v3="27"/>
+				<face v1="28" v2="29" v3="31"/>
+				<face v1="29" v2="30" v3="31"/>
+				<face v1="32" v2="33" v3="35"/>
+				<face v1="33" v2="34" v3="35"/>
+				<face v1="36" v2="37" v3="39"/>
+				<face v1="37" v2="38" v3="39"/>
+				<face v1="40" v2="41" v3="43"/>
+				<face v1="41" v2="42" v3="43"/>
+				<face v1="44" v2="45" v3="47"/>
+				<face v1="45" v2="46" v3="47"/>
+				<face v1="48" v2="49" v3="51"/>
+				<face v1="49" v2="50" v3="51"/>
+				<face v1="52" v2="53" v3="55"/>
+				<face v1="53" v2="54" v3="55"/>
+				<face v1="56" v2="57" v3="59"/>
+				<face v1="57" v2="58" v3="59"/>
+				<face v1="60" v2="61" v3="63"/>
+				<face v1="61" v2="62" v3="63"/>
+				<face v1="64" v2="65" v3="67"/>
+				<face v1="65" v2="66" v3="67"/>
+				<face v1="68" v2="69" v3="71"/>
+				<face v1="69" v2="70" v3="71"/>
+				<face v1="72" v2="73" v3="75"/>
+				<face v1="73" v2="74" v3="75"/>
+				<face v1="76" v2="77" v3="79"/>
+				<face v1="77" v2="78" v3="79"/>
+				<face v1="80" v2="81" v3="83"/>
+				<face v1="81" v2="82" v3="83"/>
+				<face v1="84" v2="85" v3="87"/>
+				<face v1="85" v2="86" v3="87"/>
+				<face v1="88" v2="89" v3="91"/>
+				<face v1="89" v2="90" v3="91"/>
+				<face v1="92" v2="93" v3="95"/>
+				<face v1="93" v2="94" v3="95"/>
+			</faces>
+			<geometry vertexcount="96">
+				<vertexbuffer positions="true" normals="true" texture_coords="1" texture_coord_dimensions_0="2">
+					<vertex>
+						<position x="1.000000" y="1.000000" z="0.000000"/>
+						<normal x="0.000000" y="-0.000000" z="-1.000000"/>
+						<texcoord u="0.000000" v="0.999031"/>
+					</vertex>
+					<vertex>
+						<position x="1.000000" y="-1.000000" z="0.000000"/>
+						<normal x="0.000000" y="-0.000000" z="-1.000000"/>
+						<texcoord u="0.000000" v="1.997093"/>
+					</vertex>
+					<vertex>
+						<position x="-1.000000" y="-1.000000" z="0.000000"/>
+						<normal x="0.000000" y="-0.000000" z="-1.000000"/>
+						<texcoord u="-1.000000" v="1.997093"/>
+					</vertex>
+					<vertex>
+						<position x="-1.000000" y="1.000000" z="0.000000"/>
+						<normal x="0.000000" y="-0.000000" z="-1.000000"/>
+						<texcoord u="-1.000000" v="0.999031"/>
+					</vertex>
+					<vertex>
+						<position x="1.000000" y="0.999999" z="1.000000"/>
+						<normal x="0.000000" y="0.000000" z="1.000000"/>
+						<texcoord u="0.000000" v="0.000969"/>
+					</vertex>
+					<vertex>
+						<position x="-1.000000" y="1.000000" z="1.000000"/>
+						<normal x="0.000000" y="0.000000" z="1.000000"/>
+						<texcoord u="-1.000000" v="0.000969"/>
+					</vertex>
+					<vertex>
+						<position x="-1.000000" y="-1.000000" z="1.000000"/>
+						<normal x="0.000000" y="0.000000" z="1.000000"/>
+						<texcoord u="-1.000000" v="0.999031"/>
+					</vertex>
+					<vertex>
+						<position x="0.999999" y="-1.000001" z="1.000000"/>
+						<normal x="0.000000" y="0.000000" z="1.000000"/>
+						<texcoord u="-0.000000" v="0.999031"/>
+					</vertex>
+					<vertex>
+						<position x="1.000000" y="1.000000" z="0.000000"/>
+						<normal x="1.000000" y="-0.000001" z="-0.000000"/>
+						<texcoord u="0.000000" v="0.500000"/>
+					</vertex>
+					<vertex>
+						<position x="1.000000" y="0.999999" z="1.000000"/>
+						<normal x="1.000000" y="-0.000001" z="-0.000000"/>
+						<texcoord u="-0.000000" v="0.000969"/>
+					</vertex>
+					<vertex>
+						<position x="0.999999" y="-1.000001" z="1.000000"/>
+						<normal x="1.000000" y="-0.000001" z="-0.000000"/>
+						<texcoord u="-1.000000" v="0.000969"/>
+					</vertex>
+					<vertex>
+						<position x="1.000000" y="-1.000000" z="0.000000"/>
+						<normal x="1.000000" y="-0.000001" z="-0.000000"/>
+						<texcoord u="-1.000000" v="0.500000"/>
+					</vertex>
+					<vertex>
+						<position x="1.000000" y="-1.000000" z="0.000000"/>
+						<normal x="-0.000000" y="-1.000000" z="-0.000001"/>
+						<texcoord u="0.000000" v="0.500000"/>
+					</vertex>
+					<vertex>
+						<position x="0.999999" y="-1.000001" z="1.000000"/>
+						<normal x="-0.000000" y="-1.000000" z="-0.000001"/>
+						<texcoord u="-0.000000" v="0.000969"/>
+					</vertex>
+					<vertex>
+						<position x="-1.000000" y="-1.000000" z="1.000000"/>
+						<normal x="-0.000000" y="-1.000000" z="-0.000001"/>
+						<texcoord u="-1.000000" v="0.000969"/>
+					</vertex>
+					<vertex>
+						<position x="-1.000000" y="-1.000000" z="0.000000"/>
+						<normal x="-0.000000" y="-1.000000" z="-0.000001"/>
+						<texcoord u="-1.000000" v="0.500000"/>
+					</vertex>
+					<vertex>
+						<position x="-1.000000" y="-1.000000" z="0.000000"/>
+						<normal x="-1.000000" y="0.000000" z="-0.000000"/>
+						<texcoord u="0.000000" v="0.500000"/>
+					</vertex>
+					<vertex>
+						<position x="-1.000000" y="-1.000000" z="1.000000"/>
+						<normal x="-1.000000" y="0.000000" z="-0.000000"/>
+						<texcoord u="0.000000" v="0.000969"/>
+					</vertex>
+					<vertex>
+						<position x="-1.000000" y="1.000000" z="1.000000"/>
+						<normal x="-1.000000" y="0.000000" z="-0.000000"/>
+						<texcoord u="1.000000" v="0.000969"/>
+					</vertex>
+					<vertex>
+						<position x="-1.000000" y="1.000000" z="0.000000"/>
+						<normal x="-1.000000" y="0.000000" z="-0.000000"/>
+						<texcoord u="1.000000" v="0.500000"/>
+					</vertex>
+					<vertex>
+						<position x="1.000000" y="0.999999" z="1.000000"/>
+						<normal x="0.000000" y="1.000000" z="0.000000"/>
+						<texcoord u="0.000000" v="0.999031"/>
+					</vertex>
+					<vertex>
+						<position x="1.000000" y="1.000000" z="0.000000"/>
+						<normal x="0.000000" y="1.000000" z="0.000000"/>
+						<texcoord u="0.000000" v="1.498062"/>
+					</vertex>
+					<vertex>
+						<position x="-1.000000" y="1.000000" z="0.000000"/>
+						<normal x="0.000000" y="1.000000" z="0.000000"/>
+						<texcoord u="-1.000000" v="1.498062"/>
+					</vertex>
+					<vertex>
+						<position x="-1.000000" y="1.000000" z="1.000000"/>
+						<normal x="0.000000" y="1.000000" z="0.000000"/>
+						<texcoord u="-1.000000" v="0.999031"/>
+					</vertex>
+					<vertex>
+						<position x="0.500000" y="0.500000" z="5.300000"/>
+						<normal x="0.000000" y="1.000000" z="0.000000"/>
+						<texcoord u="0.750000" v="0.849322"/>
+					</vertex>
+					<vertex>
+						<position x="0.500000" y="0.500000" z="1.000000"/>
+						<normal x="0.000000" y="1.000000" z="0.000000"/>
+						<texcoord u="0.750000" v="2.995155"/>
+					</vertex>
+					<vertex>
+						<position x="-0.500000" y="0.500000" z="1.000000"/>
+						<normal x="0.000000" y="1.000000" z="0.000000"/>
+						<texcoord u="0.250000" v="2.995155"/>
+					</vertex>
+					<vertex>
+						<position x="-0.500000" y="0.500000" z="5.300000"/>
+						<normal x="0.000000" y="1.000000" z="0.000000"/>
+						<texcoord u="0.250000" v="0.849322"/>
+					</vertex>
+					<vertex>
+						<position x="-0.500000" y="-0.500000" z="1.000000"/>
+						<normal x="-1.000000" y="0.000000" z="0.000000"/>
+						<texcoord u="0.250000" v="0.999031"/>
+					</vertex>
+					<vertex>
+						<position x="-0.500000" y="-0.500000" z="5.300000"/>
+						<normal x="-1.000000" y="0.000000" z="0.000000"/>
+						<texcoord u="0.250000" v="-1.146802"/>
+					</vertex>
+					<vertex>
+						<position x="-0.500000" y="0.500000" z="5.300000"/>
+						<normal x="-1.000000" y="0.000000" z="0.000000"/>
+						<texcoord u="0.750000" v="-1.146802"/>
+					</vertex>
+					<vertex>
+						<position x="-0.500000" y="0.500000" z="1.000000"/>
+						<normal x="-1.000000" y="0.000000" z="0.000000"/>
+						<texcoord u="0.750000" v="0.999031"/>
+					</vertex>
+					<vertex>
+						<position x="0.500000" y="-0.500000" z="1.000000"/>
+						<normal x="0.000000" y="-1.000000" z="0.000000"/>
+						<texcoord u="0.750000" v="0.999031"/>
+					</vertex>
+					<vertex>
+						<position x="0.500000" y="-0.500000" z="5.300000"/>
+						<normal x="0.000000" y="-1.000000" z="0.000000"/>
+						<texcoord u="0.750000" v="-1.146802"/>
+					</vertex>
+					<vertex>
+						<position x="-0.500000" y="-0.500000" z="5.300000"/>
+						<normal x="0.000000" y="-1.000000" z="0.000000"/>
+						<texcoord u="0.250000" v="-1.146802"/>
+					</vertex>
+					<vertex>
+						<position x="-0.500000" y="-0.500000" z="1.000000"/>
+						<normal x="0.000000" y="-1.000000" z="0.000000"/>
+						<texcoord u="0.250000" v="0.999031"/>
+					</vertex>
+					<vertex>
+						<position x="0.500000" y="0.500000" z="1.000000"/>
+						<normal x="1.000000" y="0.000000" z="-0.000000"/>
+						<texcoord u="0.750000" v="0.999031"/>
+					</vertex>
+					<vertex>
+						<position x="0.500000" y="0.500000" z="5.300000"/>
+						<normal x="1.000000" y="0.000000" z="-0.000000"/>
+						<texcoord u="0.750000" v="-1.146802"/>
+					</vertex>
+					<vertex>
+						<position x="0.500000" y="-0.500000" z="5.300000"/>
+						<normal x="1.000000" y="0.000000" z="-0.000000"/>
+						<texcoord u="0.250000" v="-1.146802"/>
+					</vertex>
+					<vertex>
+						<position x="0.500000" y="-0.500000" z="1.000000"/>
+						<normal x="1.000000" y="0.000000" z="-0.000000"/>
+						<texcoord u="0.250000" v="0.999031"/>
+					</vertex>
+					<vertex>
+						<position x="0.500000" y="0.500000" z="5.300000"/>
+						<normal x="0.000000" y="0.000000" z="1.000000"/>
+						<texcoord u="0.750000" v="0.250485"/>
+					</vertex>
+					<vertex>
+						<position x="-0.500000" y="0.500000" z="5.300000"/>
+						<normal x="0.000000" y="0.000000" z="1.000000"/>
+						<texcoord u="0.250000" v="0.250485"/>
+					</vertex>
+					<vertex>
+						<position x="-0.500000" y="-0.500000" z="5.300000"/>
+						<normal x="0.000000" y="0.000000" z="1.000000"/>
+						<texcoord u="0.250000" v="0.749515"/>
+					</vertex>
+					<vertex>
+						<position x="0.500000" y="-0.500000" z="5.300000"/>
+						<normal x="0.000000" y="0.000000" z="1.000000"/>
+						<texcoord u="0.750000" v="0.749515"/>
+					</vertex>
+					<vertex>
+						<position x="0.500000" y="0.500000" z="1.000000"/>
+						<normal x="0.000000" y="-0.000000" z="-1.000000"/>
+						<texcoord u="0.750000" v="0.250485"/>
+					</vertex>
+					<vertex>
+						<position x="0.500000" y="-0.500000" z="1.000000"/>
+						<normal x="0.000000" y="-0.000000" z="-1.000000"/>
+						<texcoord u="0.750000" v="0.749515"/>
+					</vertex>
+					<vertex>
+						<position x="-0.500000" y="-0.500000" z="1.000000"/>
+						<normal x="0.000000" y="-0.000000" z="-1.000000"/>
+						<texcoord u="0.250000" v="0.749515"/>
+					</vertex>
+					<vertex>
+						<position x="-0.500000" y="0.500000" z="1.000000"/>
+						<normal x="0.000000" y="-0.000000" z="-1.000000"/>
+						<texcoord u="0.250000" v="0.250485"/>
+					</vertex>
+					<vertex>
+						<position x="0.989949" y="0.848528" z="1.000000"/>
+						<normal x="0.000000" y="0.000000" z="-1.000000"/>
+						<texcoord u="0.994975" v="0.076558"/>
+					</vertex>
+					<vertex>
+						<position x="-0.848528" y="-0.989949" z="1.000000"/>
+						<normal x="0.000000" y="0.000000" z="-1.000000"/>
+						<texcoord u="0.075736" v="0.994015"/>
+					</vertex>
+					<vertex>
+						<position x="-0.989949" y="-0.848528" z="1.000000"/>
+						<normal x="0.000000" y="0.000000" z="-1.000000"/>
+						<texcoord u="0.005025" v="0.923442"/>
+					</vertex>
+					<vertex>
+						<position x="0.848528" y="0.989949" z="1.000000"/>
+						<normal x="0.000000" y="0.000000" z="-1.000000"/>
+						<texcoord u="0.924264" v="0.005985"/>
+					</vertex>
+					<vertex>
+						<position x="0.989949" y="0.848528" z="4.300000"/>
+						<normal x="0.000000" y="0.000000" z="1.000000"/>
+						<texcoord u="0.994975" v="0.076558"/>
+					</vertex>
+					<vertex>
+						<position x="0.848528" y="0.989949" z="4.300000"/>
+						<normal x="0.000000" y="0.000000" z="1.000000"/>
+						<texcoord u="0.924264" v="0.005985"/>
+					</vertex>
+					<vertex>
+						<position x="-0.989949" y="-0.848528" z="4.300000"/>
+						<normal x="0.000000" y="0.000000" z="1.000000"/>
+						<texcoord u="0.005025" v="0.923442"/>
+					</vertex>
+					<vertex>
+						<position x="-0.848528" y="-0.989949" z="4.300000"/>
+						<normal x="0.000000" y="0.000000" z="1.000000"/>
+						<texcoord u="0.075736" v="0.994015"/>
+					</vertex>
+					<vertex>
+						<position x="0.989949" y="0.848528" z="1.000000"/>
+						<normal x="0.707107" y="-0.707107" z="0.000000"/>
+						<texcoord u="0.994975" v="0.999031"/>
+					</vertex>
+					<vertex>
+						<position x="0.989949" y="0.848528" z="4.300000"/>
+						<normal x="0.707107" y="-0.707107" z="0.000000"/>
+						<texcoord u="0.994975" v="-0.647771"/>
+					</vertex>
+					<vertex>
+						<position x="-0.848528" y="-0.989949" z="4.300000"/>
+						<normal x="0.707107" y="-0.707107" z="0.000000"/>
+						<texcoord u="0.075736" v="-0.647771"/>
+					</vertex>
+					<vertex>
+						<position x="-0.848528" y="-0.989949" z="1.000000"/>
+						<normal x="0.707107" y="-0.707107" z="0.000000"/>
+						<texcoord u="0.075736" v="0.999031"/>
+					</vertex>
+					<vertex>
+						<position x="-0.848528" y="-0.989949" z="1.000000"/>
+						<normal x="-0.707107" y="-0.707107" z="0.000000"/>
+						<texcoord u="0.075736" v="0.999031"/>
+					</vertex>
+					<vertex>
+						<position x="-0.848528" y="-0.989949" z="4.300000"/>
+						<normal x="-0.707107" y="-0.707107" z="0.000000"/>
+						<texcoord u="0.075736" v="-0.647771"/>
+					</vertex>
+					<vertex>
+						<position x="-0.989949" y="-0.848528" z="4.300000"/>
+						<normal x="-0.707107" y="-0.707107" z="0.000000"/>
+						<texcoord u="0.005025" v="-0.647771"/>
+					</vertex>
+					<vertex>
+						<position x="-0.989949" y="-0.848528" z="1.000000"/>
+						<normal x="-0.707107" y="-0.707107" z="0.000000"/>
+						<texcoord u="0.005025" v="0.999031"/>
+					</vertex>
+					<vertex>
+						<position x="-0.989949" y="-0.848528" z="1.000000"/>
+						<normal x="-0.707107" y="0.707107" z="0.000000"/>
+						<texcoord u="0.005025" v="0.999031"/>
+					</vertex>
+					<vertex>
+						<position x="-0.989949" y="-0.848528" z="4.300000"/>
+						<normal x="-0.707107" y="0.707107" z="0.000000"/>
+						<texcoord u="0.005025" v="-0.647771"/>
+					</vertex>
+					<vertex>
+						<position x="0.848528" y="0.989949" z="4.300000"/>
+						<normal x="-0.707107" y="0.707107" z="0.000000"/>
+						<texcoord u="0.924264" v="-0.647771"/>
+					</vertex>
+					<vertex>
+						<position x="0.848528" y="0.989949" z="1.000000"/>
+						<normal x="-0.707107" y="0.707107" z="0.000000"/>
+						<texcoord u="0.924264" v="0.999031"/>
+					</vertex>
+					<vertex>
+						<position x="0.989949" y="0.848528" z="4.300000"/>
+						<normal x="0.707107" y="0.707107" z="0.000000"/>
+						<texcoord u="0.994975" v="0.350291"/>
+					</vertex>
+					<vertex>
+						<position x="0.989949" y="0.848528" z="1.000000"/>
+						<normal x="0.707107" y="0.707107" z="0.000000"/>
+						<texcoord u="0.994975" v="1.997093"/>
+					</vertex>
+					<vertex>
+						<position x="0.848528" y="0.989949" z="1.000000"/>
+						<normal x="0.707107" y="0.707107" z="0.000000"/>
+						<texcoord u="0.924264" v="1.997093"/>
+					</vertex>
+					<vertex>
+						<position x="0.848528" y="0.989949" z="4.300000"/>
+						<normal x="0.707107" y="0.707107" z="0.000000"/>
+						<texcoord u="0.924264" v="0.350291"/>
+					</vertex>
+					<vertex>
+						<position x="0.848528" y="-0.989950" z="4.300000"/>
+						<normal x="0.707107" y="-0.707107" z="0.000000"/>
+						<texcoord u="0.924264" v="0.350291"/>
+					</vertex>
+					<vertex>
+						<position x="0.848528" y="-0.989950" z="1.000000"/>
+						<normal x="0.707107" y="-0.707107" z="0.000000"/>
+						<texcoord u="0.924264" v="1.997093"/>
+					</vertex>
+					<vertex>
+						<position x="0.989949" y="-0.848528" z="1.000000"/>
+						<normal x="0.707107" y="-0.707107" z="0.000000"/>
+						<texcoord u="0.994975" v="1.997093"/>
+					</vertex>
+					<vertex>
+						<position x="0.989949" y="-0.848528" z="4.300000"/>
+						<normal x="0.707107" y="-0.707107" z="0.000000"/>
+						<texcoord u="0.994975" v="0.350291"/>
+					</vertex>
+					<vertex>
+						<position x="-0.848528" y="0.989950" z="1.000000"/>
+						<normal x="0.707107" y="0.707107" z="-0.000000"/>
+						<texcoord u="0.994975" v="0.999031"/>
+					</vertex>
+					<vertex>
+						<position x="-0.848528" y="0.989950" z="4.300000"/>
+						<normal x="0.707107" y="0.707107" z="-0.000000"/>
+						<texcoord u="0.994975" v="-0.647771"/>
+					</vertex>
+					<vertex>
+						<position x="0.989949" y="-0.848528" z="4.300000"/>
+						<normal x="0.707107" y="0.707107" z="-0.000000"/>
+						<texcoord u="0.075736" v="-0.647771"/>
+					</vertex>
+					<vertex>
+						<position x="0.989949" y="-0.848528" z="1.000000"/>
+						<normal x="0.707107" y="0.707107" z="-0.000000"/>
+						<texcoord u="0.075736" v="0.999031"/>
+					</vertex>
+					<vertex>
+						<position x="-0.989949" y="0.848528" z="1.000000"/>
+						<normal x="-0.707107" y="0.707107" z="0.000000"/>
+						<texcoord u="0.005025" v="0.999031"/>
+					</vertex>
+					<vertex>
+						<position x="-0.989949" y="0.848528" z="4.300000"/>
+						<normal x="-0.707107" y="0.707107" z="0.000000"/>
+						<texcoord u="0.005025" v="-0.647771"/>
+					</vertex>
+					<vertex>
+						<position x="-0.848528" y="0.989950" z="4.300000"/>
+						<normal x="-0.707107" y="0.707107" z="0.000000"/>
+						<texcoord u="0.075736" v="-0.647771"/>
+					</vertex>
+					<vertex>
+						<position x="-0.848528" y="0.989950" z="1.000000"/>
+						<normal x="-0.707107" y="0.707107" z="0.000000"/>
+						<texcoord u="0.075736" v="0.999031"/>
+					</vertex>
+					<vertex>
+						<position x="0.848528" y="-0.989950" z="1.000000"/>
+						<normal x="-0.707107" y="-0.707107" z="0.000000"/>
+						<texcoord u="0.005025" v="0.999031"/>
+					</vertex>
+					<vertex>
+						<position x="0.848528" y="-0.989950" z="4.300000"/>
+						<normal x="-0.707107" y="-0.707107" z="0.000000"/>
+						<texcoord u="0.005025" v="-0.647771"/>
+					</vertex>
+					<vertex>
+						<position x="-0.989949" y="0.848528" z="4.300000"/>
+						<normal x="-0.707107" y="-0.707107" z="0.000000"/>
+						<texcoord u="0.924264" v="-0.647771"/>
+					</vertex>
+					<vertex>
+						<position x="-0.989949" y="0.848528" z="1.000000"/>
+						<normal x="-0.707107" y="-0.707107" z="0.000000"/>
+						<texcoord u="0.924264" v="0.999031"/>
+					</vertex>
+					<vertex>
+						<position x="0.848528" y="-0.989950" z="4.300000"/>
+						<normal x="0.000000" y="-0.000000" z="1.000000"/>
+						<texcoord u="0.924264" v="0.994015"/>
+					</vertex>
+					<vertex>
+						<position x="0.989949" y="-0.848528" z="4.300000"/>
+						<normal x="0.000000" y="-0.000000" z="1.000000"/>
+						<texcoord u="0.994975" v="0.923442"/>
+					</vertex>
+					<vertex>
+						<position x="-0.848528" y="0.989950" z="4.300000"/>
+						<normal x="0.000000" y="-0.000000" z="1.000000"/>
+						<texcoord u="0.075736" v="0.005985"/>
+					</vertex>
+					<vertex>
+						<position x="-0.989949" y="0.848528" z="4.300000"/>
+						<normal x="0.000000" y="-0.000000" z="1.000000"/>
+						<texcoord u="0.005025" v="0.076558"/>
+					</vertex>
+					<vertex>
+						<position x="0.848528" y="-0.989950" z="1.000000"/>
+						<normal x="0.000000" y="0.000000" z="-1.000000"/>
+						<texcoord u="0.924264" v="0.994015"/>
+					</vertex>
+					<vertex>
+						<position x="-0.989949" y="0.848528" z="1.000000"/>
+						<normal x="0.000000" y="0.000000" z="-1.000000"/>
+						<texcoord u="0.005025" v="0.076558"/>
+					</vertex>
+					<vertex>
+						<position x="-0.848528" y="0.989950" z="1.000000"/>
+						<normal x="0.000000" y="0.000000" z="-1.000000"/>
+						<texcoord u="0.075736" v="0.005985"/>
+					</vertex>
+					<vertex>
+						<position x="0.989949" y="-0.848528" z="1.000000"/>
+						<normal x="0.000000" y="0.000000" z="-1.000000"/>
+						<texcoord u="0.994975" v="0.923442"/>
+					</vertex>
+				</vertexbuffer>
+			</geometry>
+		</submesh>
+	</submeshes>
+</mesh>