Index: /code/branches/newlevel2012/src/modules/towerdefense/CMakeLists.txt
===================================================================
--- /code/branches/newlevel2012/src/modules/towerdefense/CMakeLists.txt	(revision 9203)
+++ /code/branches/newlevel2012/src/modules/towerdefense/CMakeLists.txt	(revision 9204)
@@ -3,5 +3,5 @@
   Tower.cc
   TowerDefenseCenterpoint.cc
-  TowerDefensePlayerStats.cc
+  TowerDefenseHUDController.cc
 )
 
Index: /code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.h
===================================================================
--- /code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.h	(revision 9203)
+++ /code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.h	(revision 9204)
@@ -40,8 +40,10 @@
 #include "towerdefense/TowerDefensePrereqs.h"
 #include "gametypes/Deathmatch.h"
+		 
+
 
 namespace orxonox
 {
-    class _OrxonoxExport TowerDefense : public Deathmatch
+	class _OrxonoxExport TowerDefense : public Deathmatch
     {
 	public:
@@ -79,6 +81,4 @@
 		TowerDefenseCenterpoint *center_;
 	
-		TowerDefensePlayerStats *stats_;
-	
 		bool hasTower(int x, int y);
 		
Index: /code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseHUDController.cc
===================================================================
--- /code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseHUDController.cc	(revision 9204)
+++ /code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseHUDController.cc	(revision 9204)
@@ -0,0 +1,77 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *
+ *   Co-authors:
+ *      ...
+ */
+ 
+#include "TowerDefenseHUDController.h"
+
+#include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
+#include "util/Convert.h"
+
+
+namespace orxonox
+{
+	CreateFactory(TowerDefenseHUDController);
+	
+	const int kDefaultCredit = 200;
+	
+    TowerDefenseHUDController::TowerDefenseHUDController(BaseObject* creator) : OverlayText(creator)
+	{
+		RegisterObject(TowerDefenseHUDController);
+		
+		this->credit_ = 200;
+		this->waveNumber_ = 0;
+	}
+	
+	TowerDefenseHUDController::~TowerDefenseHUDController()
+	{
+		
+	}
+
+    void TowerDefenseHUDController::tick(float dt)
+	{
+		SUPER(TowerDefenseHUDController, tick, dt);
+		
+		credit_;
+	}
+	
+    void TowerDefenseHUDController::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+	{
+		SUPER(TowerDefenseHUDController, XMLPort, xmlelement, mode);
+	}
+	
+    void TowerDefenseHUDController::changedOwner()
+    {
+        SUPER(TowerDefenseHUDController, changedOwner);
+		/*
+        if (this->getOwner() != NULL && this->getOwner()->getGametype())
+            this->owner_ = orxonox_cast<Pong*>(this->getOwner()->getGametype().get());
+        else
+            this->owner_ = 0;
+			*/
+    }
+	
+}
Index: /code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseHUDController.h
===================================================================
--- /code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseHUDController.h	(revision 9204)
+++ /code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseHUDController.h	(revision 9204)
@@ -0,0 +1,78 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *
+ *   Co-authors:
+ *      ...
+ *
+ */
+	 
+ /**
+	 @brief
+	 
+	 @ingroup TowerDefense
+ */
+	 
+
+#ifndef _TowerDefenseHUDController_H__
+#define _TowerDefenseHUDController_H__
+
+#include "towerdefense/TowerDefensePrereqs.h"
+
+#include "tools/interfaces/Tickable.h"
+#include "overlays/OverlayText.h"
+
+
+namespace orxonox
+{
+    class _TowerDefenseExport TowerDefenseHUDController : public OverlayText, public Tickable
+    {
+	public:
+		TowerDefenseHUDController(BaseObject* creator);
+        virtual ~TowerDefenseHUDController();
+
+        virtual void tick(float dt);
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+		virtual void changedOwner();
+		
+		inline int getCredit()
+			{ return credit_; }
+		
+		inline void setCredit(int credit)
+			{ credit_ = credit; }
+		
+		inline int getWaveNumber()
+			{ return waveNumber_; }
+		
+		inline void didLoadNextWave()
+			{ waveNumber_++; }
+		
+		
+		
+	private:
+		int credit_;
+		int waveNumber_;
+		//int baseHealth_;
+    };
+}
+
+#endif /* _TowerDefenseHUDController_H__ */
Index: de/branches/newlevel2012/src/modules/towerdefense/TowerDefensePlayerStats.cc
===================================================================
--- /code/branches/newlevel2012/src/modules/towerdefense/TowerDefensePlayerStats.cc	(revision 9203)
+++ 	(revision )
@@ -1,75 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *
- *   Co-authors:
- *      ...
- */
- 
-#include "TowerDefensePlayerStats.h"
-
-#include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
-#include "util/Convert.h"
-
-
-namespace orxonox
-{
-	CreateFactory(TowerDefensePlayerStats);
-	
-	const int kDefaultCredit = 200;
-	
-    TowerDefensePlayerStats::TowerDefensePlayerStats(BaseObject* creator) : OverlayText(creator)
-	{
-		RegisterObject(TowerDefensePlayerStats);
-		
-		this->credit_ = 200;
-		this->waveNumber_ = 0;
-	}
-	
-	TowerDefensePlayerStats::~TowerDefensePlayerStats()
-	{
-		
-	}
-
-    void TowerDefensePlayerStats::tick(float dt)
-	{
-		SUPER(TowerDefensePlayerStats, tick, dt);
-	}
-	
-    void TowerDefensePlayerStats::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-	{
-		SUPER(TowerDefensePlayerStats, XMLPort, xmlelement, mode);
-	}
-	
-    void TowerDefensePlayerStats::changedOwner()
-    {
-        SUPER(TowerDefensePlayerStats, changedOwner);
-		/*
-        if (this->getOwner() != NULL && this->getOwner()->getGametype())
-            this->owner_ = orxonox_cast<Pong*>(this->getOwner()->getGametype().get());
-        else
-            this->owner_ = 0;
-			*/
-    }
-	
-}
Index: de/branches/newlevel2012/src/modules/towerdefense/TowerDefensePlayerStats.h
===================================================================
--- /code/branches/newlevel2012/src/modules/towerdefense/TowerDefensePlayerStats.h	(revision 9203)
+++ 	(revision )
@@ -1,78 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *
- *   Co-authors:
- *      ...
- *
- */
-	 
- /**
-	 @brief
-	 
-	 @ingroup TowerDefense
- */
-	 
-
-#ifndef _TowerDefensePlayerStats_H__
-#define _TowerDefensePlayerStats_H__
-
-#include "towerdefense/TowerDefensePrereqs.h"
-
-#include "tools/interfaces/Tickable.h"
-#include "overlays/OverlayText.h"
-
-
-namespace orxonox
-{
-    class _TowerDefenseExport TowerDefensePlayerStats : public OverlayText, public Tickable
-    {
-	public:
-		TowerDefensePlayerStats(BaseObject* creator);
-        virtual ~TowerDefensePlayerStats();
-
-        virtual void tick(float dt);
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-		virtual void changedOwner();
-		
-		inline int getCredit()
-			{ return credit_; }
-		
-		inline void setCredit(int credit)
-			{ credit_ = credit; }
-		
-		inline int getWaveNumber()
-			{ return waveNumber_; }
-		
-		inline void didLoadNextWave()
-			{ waveNumber_++; }
-		
-		
-		
-	private:
-		int credit_;
-		int waveNumber_;
-		//int baseHealth_;
-    };
-}
-
-#endif /* _TowerDefensePlayerStats_H__ */