Index: branches/presentation/src/world_entities/npcs/space_turret.cc
===================================================================
--- branches/presentation/src/world_entities/npcs/space_turret.cc	(revision 9204)
+++ branches/presentation/src/world_entities/npcs/space_turret.cc	(revision 9206)
@@ -65,6 +65,6 @@
   this->right = NULL;
 
-  this->setHealthMax(300);
-  this->setHealth(300);
+  this->setHealthMax(100);
+  this->setHealth(30);
 
   this->weaponHolder[0].addNodeFlags(PNODE_PROHIBIT_DELETE_WITH_PARENT);
Index: branches/presentation/src/world_entities/projectiles/guided_missile.cc
===================================================================
--- branches/presentation/src/world_entities/projectiles/guided_missile.cc	(revision 9204)
+++ branches/presentation/src/world_entities/projectiles/guided_missile.cc	(revision 9206)
@@ -182,4 +182,7 @@
 void GuidedMissile::destroy (WorldEntity* killer)
 {
+
+  printf("THIS SHOULD WORLk\n");
+
   Projectile::destroy( killer );
   PRINTF(5)("DESTROY GuidedMissile\n");
Index: branches/presentation/src/world_entities/space_ships/spacecraft_2d.cc
===================================================================
--- branches/presentation/src/world_entities/space_ships/spacecraft_2d.cc	(revision 9204)
+++ branches/presentation/src/world_entities/space_ships/spacecraft_2d.cc	(revision 9206)
@@ -86,8 +86,12 @@
   //weapons:
   Weapon* wpRight = dynamic_cast<Weapon*>(Factory::fabricate(CL_LASER_CANNON));
-  wpRight->setName("testGun Right");
+  wpRight->setName("Cannon_Right");
   Weapon* wpLeft = dynamic_cast<Weapon*>(Factory::fabricate(CL_LASER_CANNON));
-  wpLeft->setName("testGun Left");
-  //Weapon* cannon = dynamic_cast<Weapon*>(Factory::fabricate(CL_HYPERBLASTER));
+  wpLeft->setName("Cannon_Left");
+
+  Weapon* turretLeft = dynamic_cast<Weapon*>(Factory::fabricate(CL_TARGETING_TURRET));
+  wpRight->setName("Turret_Left");
+  Weapon* turretRight = dynamic_cast<Weapon*>(Factory::fabricate(CL_TARGETING_TURRET));
+  wpLeft->setName("Turret_Right");
 
   //  cannon->setName("BFG");
@@ -95,4 +99,7 @@
   this->addWeapon(wpLeft, 1, 0);
   this->addWeapon(wpRight,1 ,1);
+  this->addWeapon(turretLeft, 1, 2);
+  this->addWeapon(turretRight, 1, 3);
+
   //this->addWeapon(cannon, 0, 2);
 
@@ -197,9 +204,9 @@
 
   /// TODO: THESE ARE TOO MUCH
-  this->getWeaponManager().setSlotPosition(3, Vector(-1.63, .678, -.652));
-  this->getWeaponManager().setSlotDirection(3, Quaternion(-24/180 * M_PI, Vector(1,0,0)));
-
-  this->getWeaponManager().setSlotPosition(4, Vector(-1.63, .678, .652));
-  this->getWeaponManager().setSlotDirection(4, Quaternion(24/180 * M_PI, Vector(1,0,0)));
+  this->getWeaponManager().setSlotPosition(3, Vector(-0.351, -.238, 1.406) * 5.0);
+  this->getWeaponManager().setSlotDirection(3, Quaternion(-122/180 * M_PI, Vector(0,1,0)));
+
+  this->getWeaponManager().setSlotPosition(4, Vector(-0.351, -.238, -1.406) * 5.0);
+  this->getWeaponManager().setSlotDirection(4, Quaternion(122/180 * M_PI, Vector(0,1,0)));
 
   this->cameraNode.setRelCoor(1,5,0);
Index: branches/presentation/src/world_entities/weapons/aiming_system.cc
===================================================================
--- branches/presentation/src/world_entities/weapons/aiming_system.cc	(revision 9204)
+++ branches/presentation/src/world_entities/weapons/aiming_system.cc	(revision 9206)
@@ -115,5 +115,5 @@
   if( this->owner != killer)
   {
-    PRINTF(0)("real hit: %s\n", killer->getClassName());
+    PRINTF(5)("real hit: %s\n", killer->getClassName());
     this->selectionList.push_back(killer);
   }
Index: branches/presentation/src/world_entities/world_entity.cc
===================================================================
--- branches/presentation/src/world_entities/world_entity.cc	(revision 9204)
+++ branches/presentation/src/world_entities/world_entity.cc	(revision 9206)
@@ -743,5 +743,5 @@
   this->decreaseHealth(damage);
 
-  PRINTF(5)("Hit me: %s now only %f/%f health\n", this->getClassName(), this->getHealth(), this->getHealthMax());
+  PRINTF(0)("Hit me: %s now only %f/%f health\n", this->getClassName(), this->getHealth(), this->getHealthMax());
 
   if( this->getHealth() > 0)