Index: code/branches/newlevel2012/src/modules/towerdefense/CMakeLists.txt
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/CMakeLists.txt	(revision 9205)
+++ code/branches/newlevel2012/src/modules/towerdefense/CMakeLists.txt	(revision 9207)
@@ -4,4 +4,5 @@
   TowerDefenseCenterpoint.cc
   TowerDefenseHUDController.cc
+  TowerDefensePlayerStats.cc
 )
 
Index: code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.cc
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.cc	(revision 9205)
+++ code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.cc	(revision 9207)
@@ -77,4 +77,5 @@
 #include "Tower.h"
 #include "TowerDefenseCenterpoint.h"
+#include "TowerDefensePlayerStats.h"
 
 #include "worldentities/SpawnPoint.h"
@@ -100,4 +101,6 @@
 		
         this->setHUDTemplate("TowerDefenseHUD");
+
+		this->stats_ = new TowerDefensePlayerStats();
 
 		/* Temporary hack to allow the player to add towers */
Index: code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.h
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.h	(revision 9205)
+++ code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.h	(revision 9207)
@@ -41,6 +41,4 @@
 #include "gametypes/Deathmatch.h"
 		 
-
-
 namespace orxonox
 {
@@ -80,4 +78,7 @@
 //		WeakPtr<TowerDefenseCenterpoint> center_;
 		TowerDefenseCenterpoint *center_;
+		
+		/* handles stats */
+		TowerDefensePlayerStats *stats_;
 	
 		bool hasTower(int x, int y);
Index: code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseHUDController.cc
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseHUDController.cc	(revision 9205)
+++ code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseHUDController.cc	(revision 9207)
@@ -37,12 +37,7 @@
 	CreateFactory(TowerDefenseHUDController);
 	
-	const int kDefaultCredit = 200;
-	
     TowerDefenseHUDController::TowerDefenseHUDController(BaseObject* creator) : OverlayText(creator)
 	{
 		RegisterObject(TowerDefenseHUDController);
-		
-		this->credit_ = 200;
-		this->waveNumber_ = 0;
 	}
 	
@@ -55,6 +50,4 @@
 	{
 		SUPER(TowerDefenseHUDController, tick, dt);
-		
-		credit_;
 	}
 	
Index: code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseHUDController.h
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseHUDController.h	(revision 9205)
+++ code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseHUDController.h	(revision 9207)
@@ -29,4 +29,5 @@
  /**
 	 @brief
+	 This subclass of OverlayText is used to display the stats of the player in the HUD
 	 
 	 @ingroup TowerDefense
@@ -54,23 +55,4 @@
         virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 		virtual void changedOwner();
-		
-		inline int getCredit()
-			{ return credit_; }
-		
-		inline void setCredit(int credit)
-			{ credit_ = credit; }
-		
-		inline int getWaveNumber()
-			{ return waveNumber_; }
-		
-		inline void didLoadNextWave()
-			{ waveNumber_++; }
-		
-		
-		
-	private:
-		int credit_;
-		int waveNumber_;
-		//int baseHealth_;
     };
 }
Index: code/branches/newlevel2012/src/modules/towerdefense/TowerDefensePlayerStats.cc
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/TowerDefensePlayerStats.cc	(revision 9207)
+++ code/branches/newlevel2012/src/modules/towerdefense/TowerDefensePlayerStats.cc	(revision 9207)
@@ -0,0 +1,44 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *
+ *   Co-authors:
+ *      ...
+ */
+ 
+#include "TowerDefensePlayerStats.h"
+
+namespace orxonox
+{
+	const int kDefaultCredit = 200;
+	
+    TowerDefensePlayerStats::TowerDefensePlayerStats()
+	{
+		this->credit_ = kDefaultCredit;
+		this->waveNumber_ = 0;
+	}
+	/*
+	TowerDefensePlayerStats::~TowerDefensePlayerStats()
+	{
+	}
+	*/		
+}
Index: code/branches/newlevel2012/src/modules/towerdefense/TowerDefensePlayerStats.h
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/TowerDefensePlayerStats.h	(revision 9207)
+++ code/branches/newlevel2012/src/modules/towerdefense/TowerDefensePlayerStats.h	(revision 9207)
@@ -0,0 +1,68 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *
+ *   Co-authors:
+ *      ...
+ *
+ */
+	 
+ /**
+	 @brief
+	 This manages the stats of the player. It is used by 'TowerDefense', the gametype
+	
+	 @ingroup TowerDefense
+ */
+	 
+
+#ifndef _TowerDefensePlayerStats_H__
+#define _TowerDefensePlayerStats_H__
+
+#include "towerdefense/TowerDefensePrereqs.h"
+
+namespace orxonox
+{
+    class _TowerDefenseExport TowerDefensePlayerStats
+    {
+	public:
+		TowerDefensePlayerStats();
+		
+		inline int getCredit()
+			{ return credit_; }
+		
+		inline void setCredit(int credit)
+			{ credit_ = credit; }
+		
+		inline int getWaveNumber()
+			{ return waveNumber_; }
+		
+		inline void didLoadNextWave()
+			{ waveNumber_++; }
+		
+	private:
+		int credit_;
+		int waveNumber_;
+		//int baseHealth_;
+    };
+}
+
+#endif /* _TowerDefensePlayerStats_H__ */
Index: code/branches/newlevel2012/src/modules/towerdefense/TowerDefensePrereqs.h
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/TowerDefensePrereqs.h	(revision 9205)
+++ code/branches/newlevel2012/src/modules/towerdefense/TowerDefensePrereqs.h	(revision 9207)
@@ -68,4 +68,5 @@
 	class Tower;
     class TowerDefenseCenterpoint;
+	class TowerDefenseHUDController;
 	class TowerDefensePlayerStats;
 }